// source: v1/order/model_supplier_info.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var v1_order_common_pb = require('../../v1/order/common_pb.js');
goog.object.extend(proto, v1_order_common_pb);
var v1_order_model_offer_pb = require('../../v1/order/model_offer_pb.js');
goog.object.extend(proto, v1_order_model_offer_pb);
goog.exportSymbol('proto.fcp.order.v1.order.ListSupplierInfoRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.ListSupplierInfoResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.OffersBySupplier', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.SupplierInfo', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.OffersBySupplier = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order.OffersBySupplier.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order.OffersBySupplier, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.OffersBySupplier.displayName = 'proto.fcp.order.v1.order.OffersBySupplier';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.SupplierInfo = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order.SupplierInfo.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order.SupplierInfo, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.SupplierInfo.displayName = 'proto.fcp.order.v1.order.SupplierInfo';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order.ListSupplierInfoRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order.ListSupplierInfoRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.ListSupplierInfoRequest.displayName = 'proto.fcp.order.v1.order.ListSupplierInfoRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.ListSupplierInfoResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.ListSupplierInfoResponse.displayName = 'proto.fcp.order.v1.order.ListSupplierInfoResponse';
}

/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order.OffersBySupplier.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.OffersBySupplier.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.OffersBySupplier.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.OffersBySupplier} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.OffersBySupplier.toObject = function(includeInstance, msg) {
  var f, obj = {
    supplierCode: jspb.Message.getFieldWithDefault(msg, 1, ""),
    offersList: jspb.Message.toObjectList(msg.getOffersList(),
    v1_order_model_offer_pb.Offer.toObject, includeInstance),
    ordersHasOffersCount: jspb.Message.getFieldWithDefault(msg, 3, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.OffersBySupplier}
 */
proto.fcp.order.v1.order.OffersBySupplier.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.OffersBySupplier;
  return proto.fcp.order.v1.order.OffersBySupplier.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.OffersBySupplier} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.OffersBySupplier}
 */
proto.fcp.order.v1.order.OffersBySupplier.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {string} */ (reader.readString());
      msg.setSupplierCode(value);
      break;
    case 2:
      var value = new v1_order_model_offer_pb.Offer;
      reader.readMessage(value,v1_order_model_offer_pb.Offer.deserializeBinaryFromReader);
      msg.addOffers(value);
      break;
    case 3:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setOrdersHasOffersCount(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.OffersBySupplier.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.OffersBySupplier.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.OffersBySupplier} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.OffersBySupplier.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getSupplierCode();
  if (f.length > 0) {
    writer.writeString(
      1,
      f
    );
  }
  f = message.getOffersList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_model_offer_pb.Offer.serializeBinaryToWriter
    );
  }
  f = message.getOrdersHasOffersCount();
  if (f !== 0) {
    writer.writeInt64(
      3,
      f
    );
  }
};


/**
 * optional string supplier_code = 1;
 * @return {string}
 */
proto.fcp.order.v1.order.OffersBySupplier.prototype.getSupplierCode = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 1, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.OffersBySupplier} returns this
 */
proto.fcp.order.v1.order.OffersBySupplier.prototype.setSupplierCode = function(value) {
  return jspb.Message.setProto3StringField(this, 1, value);
};


/**
 * repeated Offer offers = 2;
 * @return {!Array<!proto.fcp.order.v1.order.Offer>}
 */
proto.fcp.order.v1.order.OffersBySupplier.prototype.getOffersList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.Offer>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_model_offer_pb.Offer, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.Offer>} value
 * @return {!proto.fcp.order.v1.order.OffersBySupplier} returns this
*/
proto.fcp.order.v1.order.OffersBySupplier.prototype.setOffersList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.Offer=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.Offer}
 */
proto.fcp.order.v1.order.OffersBySupplier.prototype.addOffers = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.Offer, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order.OffersBySupplier} returns this
 */
proto.fcp.order.v1.order.OffersBySupplier.prototype.clearOffersList = function() {
  return this.setOffersList([]);
};


/**
 * optional int64 orders_has_offers_count = 3;
 * @return {number}
 */
proto.fcp.order.v1.order.OffersBySupplier.prototype.getOrdersHasOffersCount = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 3, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.OffersBySupplier} returns this
 */
proto.fcp.order.v1.order.OffersBySupplier.prototype.setOrdersHasOffersCount = function(value) {
  return jspb.Message.setProto3IntField(this, 3, value);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order.SupplierInfo.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.SupplierInfo.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.SupplierInfo.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.SupplierInfo} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SupplierInfo.toObject = function(includeInstance, msg) {
  var f, obj = {
    offersBySupplierList: jspb.Message.toObjectList(msg.getOffersBySupplierList(),
    proto.fcp.order.v1.order.OffersBySupplier.toObject, includeInstance),
    orderCount: jspb.Message.getFieldWithDefault(msg, 2, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.SupplierInfo}
 */
proto.fcp.order.v1.order.SupplierInfo.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.SupplierInfo;
  return proto.fcp.order.v1.order.SupplierInfo.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.SupplierInfo} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.SupplierInfo}
 */
proto.fcp.order.v1.order.SupplierInfo.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.OffersBySupplier;
      reader.readMessage(value,proto.fcp.order.v1.order.OffersBySupplier.deserializeBinaryFromReader);
      msg.addOffersBySupplier(value);
      break;
    case 2:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setOrderCount(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.SupplierInfo.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.SupplierInfo.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.SupplierInfo} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SupplierInfo.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getOffersBySupplierList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.fcp.order.v1.order.OffersBySupplier.serializeBinaryToWriter
    );
  }
  f = message.getOrderCount();
  if (f !== 0) {
    writer.writeInt64(
      2,
      f
    );
  }
};


/**
 * repeated OffersBySupplier offers_by_supplier = 1;
 * @return {!Array<!proto.fcp.order.v1.order.OffersBySupplier>}
 */
proto.fcp.order.v1.order.SupplierInfo.prototype.getOffersBySupplierList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.OffersBySupplier>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.fcp.order.v1.order.OffersBySupplier, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.OffersBySupplier>} value
 * @return {!proto.fcp.order.v1.order.SupplierInfo} returns this
*/
proto.fcp.order.v1.order.SupplierInfo.prototype.setOffersBySupplierList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.OffersBySupplier=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.OffersBySupplier}
 */
proto.fcp.order.v1.order.SupplierInfo.prototype.addOffersBySupplier = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.OffersBySupplier, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order.SupplierInfo} returns this
 */
proto.fcp.order.v1.order.SupplierInfo.prototype.clearOffersBySupplierList = function() {
  return this.setOffersBySupplierList([]);
};


/**
 * optional int64 order_count = 2;
 * @return {number}
 */
proto.fcp.order.v1.order.SupplierInfo.prototype.getOrderCount = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 2, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.SupplierInfo} returns this
 */
proto.fcp.order.v1.order.SupplierInfo.prototype.setOrderCount = function(value) {
  return jspb.Message.setProto3IntField(this, 2, value);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.ListSupplierInfoRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.ListSupplierInfoRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    filter: (f = msg.getFilter()) && v1_order_model_offer_pb.OfferFilter.toObject(includeInstance, f),
    sortingList: jspb.Message.toObjectList(msg.getSortingList(),
    v1_order_common_pb.Sorting.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_order_common_pb.PaginationRequest.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoRequest}
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.ListSupplierInfoRequest;
  return proto.fcp.order.v1.order.ListSupplierInfoRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.ListSupplierInfoRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoRequest}
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_order_model_offer_pb.OfferFilter;
      reader.readMessage(value,v1_order_model_offer_pb.OfferFilter.deserializeBinaryFromReader);
      msg.setFilter(value);
      break;
    case 2:
      var value = new v1_order_common_pb.Sorting;
      reader.readMessage(value,v1_order_common_pb.Sorting.deserializeBinaryFromReader);
      msg.addSorting(value);
      break;
    case 3:
      var value = new v1_order_common_pb.PaginationRequest;
      reader.readMessage(value,v1_order_common_pb.PaginationRequest.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.ListSupplierInfoRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.ListSupplierInfoRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getFilter();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      v1_order_model_offer_pb.OfferFilter.serializeBinaryToWriter
    );
  }
  f = message.getSortingList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.Sorting.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      v1_order_common_pb.PaginationRequest.serializeBinaryToWriter
    );
  }
};


/**
 * optional OfferFilter filter = 1;
 * @return {?proto.fcp.order.v1.order.OfferFilter}
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.getFilter = function() {
  return /** @type{?proto.fcp.order.v1.order.OfferFilter} */ (
    jspb.Message.getWrapperField(this, v1_order_model_offer_pb.OfferFilter, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.OfferFilter|undefined} value
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoRequest} returns this
*/
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.setFilter = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoRequest} returns this
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.clearFilter = function() {
  return this.setFilter(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.hasFilter = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * repeated Sorting sorting = 2;
 * @return {!Array<!proto.fcp.order.v1.order.Sorting>}
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.getSortingList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.Sorting>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.Sorting, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.Sorting>} value
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoRequest} returns this
*/
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.setSortingList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.Sorting=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.Sorting}
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.addSorting = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.Sorting, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoRequest} returns this
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.clearSortingList = function() {
  return this.setSortingList([]);
};


/**
 * optional PaginationRequest pagination = 3;
 * @return {?proto.fcp.order.v1.order.PaginationRequest}
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.getPagination = function() {
  return /** @type{?proto.fcp.order.v1.order.PaginationRequest} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.PaginationRequest, 3));
};


/**
 * @param {?proto.fcp.order.v1.order.PaginationRequest|undefined} value
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoRequest} returns this
*/
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoRequest} returns this
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.ListSupplierInfoRequest.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.ListSupplierInfoResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.ListSupplierInfoResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    items: (f = msg.getItems()) && proto.fcp.order.v1.order.SupplierInfo.toObject(includeInstance, f),
    pagination: (f = msg.getPagination()) && v1_order_common_pb.PaginationResponse.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoResponse}
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.ListSupplierInfoResponse;
  return proto.fcp.order.v1.order.ListSupplierInfoResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.ListSupplierInfoResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoResponse}
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.SupplierInfo;
      reader.readMessage(value,proto.fcp.order.v1.order.SupplierInfo.deserializeBinaryFromReader);
      msg.setItems(value);
      break;
    case 2:
      var value = new v1_order_common_pb.PaginationResponse;
      reader.readMessage(value,v1_order_common_pb.PaginationResponse.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.ListSupplierInfoResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.ListSupplierInfoResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItems();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.order.v1.order.SupplierInfo.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      v1_order_common_pb.PaginationResponse.serializeBinaryToWriter
    );
  }
};


/**
 * optional SupplierInfo items = 1;
 * @return {?proto.fcp.order.v1.order.SupplierInfo}
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.prototype.getItems = function() {
  return /** @type{?proto.fcp.order.v1.order.SupplierInfo} */ (
    jspb.Message.getWrapperField(this, proto.fcp.order.v1.order.SupplierInfo, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.SupplierInfo|undefined} value
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoResponse} returns this
*/
proto.fcp.order.v1.order.ListSupplierInfoResponse.prototype.setItems = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoResponse} returns this
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.prototype.clearItems = function() {
  return this.setItems(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.prototype.hasItems = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional PaginationResponse pagination = 2;
 * @return {?proto.fcp.order.v1.order.PaginationResponse}
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.prototype.getPagination = function() {
  return /** @type{?proto.fcp.order.v1.order.PaginationResponse} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.PaginationResponse, 2));
};


/**
 * @param {?proto.fcp.order.v1.order.PaginationResponse|undefined} value
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoResponse} returns this
*/
proto.fcp.order.v1.order.ListSupplierInfoResponse.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.ListSupplierInfoResponse} returns this
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.ListSupplierInfoResponse.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 2) != null;
};


goog.object.extend(exports, proto.fcp.order.v1.order);
